Subject: bug#14794: 24.3.50; `w32-register-hot-key' does not work on Windows 7 64-bit

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jul 2013 21:04:19 +0300

> Date: Fri, 12 Jul 2013 09:10:26 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > Maybe try the left/right Win+E key or the Apps key, after setting the
> > w32-*-modifier variables so as to produce an Emacs modifier from them.
> 
> Sorry, I don't know what the last clause means.  What w32-* modifier
> variables, and how?

For the Win key, use w32-lwindow-modifier, for the Apps key use the
w32-apps-modifier.  You might need to use these to convert these keys
to something Emacs can use.

> But from your and Martin's other replies in this thread it appears that
> `w32-register-hot-key' is useless for Windows 7.  Unless I missed
> something.  Is there any case at all where it actually will have an
> effect?

I have no idea, I didn't research the issue enough.  This page:

  http://www.sevenforums.com/tutorials/5937-windows-key-shortcuts-enable-disable.html

tells you how to disable the Windows shortcuts, in case you don't have
any use for them outside Emacs.  Perhaps then registering hotkeys will
work on Windows 7.